Subject: Re: bug#10051: closed (Re: bug#10051: 23.3; frame-identification)

From: Andrew Kurn <[email-masked]>
Date: Tue, 15 Nov 2011 09:17:34 -0800

Well, it makes sense as long as you're using a windowing system.
I get in trouble because I use emacs -nw, so all frames appear in 
one "window".  Thus, I need a frame ID to tell me which one I'm
looking at.

You might want to set it based on whether you're windowing. (See
code below.)

Andrew

On Tue 15 Nov 2011 01:06 +0000, GNU bug Tracking System wrote:

> 
> Version: 24.0.92
> 
> OK, I removed the setting from ns-win.el (it made no sense to me).
> Thanks for the report.
> 

Date: Mon, 14 Nov 2011 16:38:07 -0800
From: kurn <[email-masked]>
To: [email-masked]
Subject: 23.3; frame-identification

> 
> The frame indentification has disappeared from the mode-line in the latest
> Emacs.  This is emacs -nw.
> 
> Inspection shows the value of mode-line-frame-identification = ("  ") 
> 
> I have put this work-around in my .emacs file:
> (unless window-system (setq mode-line-frame-identification '("-%F ")))
> 
> So, I think that's what you need to know . .  exactly which variable
> has a wrong value and what it is.
> 
> Oh, I'm on OS X 10.4.  There!  I think that's everything.
> 
> Andrew
>